import { EntityStore, Update } from "./interfaces";
export declare function addOne<T>(store: EntityStore<T>, entity: T): EntityStore<T>;
export declare function addAll<T>(payload: T[]): EntityStore<T>;
export declare function addMany<T>(store: EntityStore<T>, payload: T[]): EntityStore<T>;
export declare function removeOne<T>(store: EntityStore<T>, id: string): EntityStore<T>;
export declare function removeAll<T>(): EntityStore<T>;
export declare function updateOne<T>(store: EntityStore<T>, update: Update): EntityStore<T>;
